
%このファイルで、パート譜出力用の書式を一括指定する。スコアしか作らない時は関係ない
%このファイルそのものはコンパイルしても何も出ない。
%スコアはA3用紙だがこちらのパート譜はA4なので、数字がちょこまかと変化していることに注意。

%楽曲メタデータを、各パート譜用のファイルではなくここで指定している。
\include "0_1_metadata.ly"

\paper {
  #(set-paper-size "a4")
  line-width = 18.0 \cm
% A4 用紙のサイズは 21.0 x 29.7cm なので、 line-width 18cm のとき左右余白が 1.5cm ずつ
  top-margin = 1.0 \cm     %紙の上端から印刷可能エリア上端までの距離 
  bottom-margin = 0.75 \cm    %印刷可能エリア下端から紙の下端までの距離
  indent = 27.5\mm

  max-systems-per-page = #11 % パート譜の1ページに配置するシステムの最大数
  min-systems-per-page = #2 % パート譜の1ページに配置するシステムの最低数

  annotate-spacing = ##f % レイアウト変数の値を表示（最終版では表示しないように）
  
  system-system-spacing = #'( ( basic-distance . 16.5 ) ) % 譜表システム間の距離
  top-markup-spacing = #'( (basic-distance . 0  ) )   % 印刷可能エリア上端から曲タイトルの上端まで（1ページ目）
  top-system-spacing = #'( (basic-distance . 11.5  ) )   % 印刷可能エリア上端からシステム上端まで（2ページ目以降）
  markup-system-spacing = #'( ( padding . 4 ) ) % ヘッダ（作曲者名etc.）の下端から最初の譜表までの距離
  last-bottom-spacing = #'( (basic-distance . 13 ) )  % 最下段の譜表システムから印刷可能エリア下端まで

  print-page-number = ##t  % ページ番号を譜刻する
  print-first-page-number = ##t  % 最初のページにページ番号を譜刻する
   


}

% 実は各楽器の音符を書く用のファイルにもこのファイルへのincludeが存在し、普段はコメントアウトされている
% もしコメントアウトされていない状態で 0_y_partsall.ly をコンパイルすると、このファイルの内容が複数回includeされる
% まあ実害はない筈



