\version "2.18.0"

% このソースファイルは、完成版のスコアを出力するためのもの。

% 次の1行は、生成されるPDF内のリンク作成を抑制する。
% ONにしていると配布するPDFにパソコン内のパスが残ってしまい、セキュリティ上問題がある。
\pointAndClickOff




% 各楽器の実体は以下のファイルに別途格納。トランペットの1~3番など1ファイルにまとめても良いが、曲が長いと切れ目が見えなくて不便なのであえて分けるんだゾ
\include "1_1_piccolo.ly"
\include "1_2_flute1.ly"
\include "1_3_flute2.ly"
\include "1_4_oboe.ly"
\include "1_5_bassoon.ly"

\include "2_1_clarinetEs.ly"
\include "2_2_clarinet1.ly"
\include "2_3_clarinet2.ly"
\include "2_4_clarinet3.ly"
\include "2_5_clarinetAlto.ly"
\include "2_6_clarinetBass.ly"

\include "3_1_saxAlto1.ly"
\include "3_2_saxAlto2.ly"
\include "3_3_saxTenor.ly"
\include "3_4_saxBaritone.ly"

\include "4_1_trumpet1.ly"
\include "4_2_trumpet2.ly"
\include "4_3_trumpet3.ly"

\include "5_1_horn1and2.ly"
\include "5_2_horn3.ly"

\include "6_1_trombone1.ly"
\include "6_2_trombone2.ly"
\include "6_3_trombone3.ly"

\include "7_1_euphonium.ly"
\include "7_2_tuba.ly"
\include "7_3_stringbass.ly"

\include "8_1_timpani.ly"
\include "8_2_percussion1.ly"
\include "8_3_percussion2.ly"
\include "8_4_percussion3.ly"
\include "8_5_percussion4.ly"


% 楽曲のヘッダ（メタデータ）は以下のファイルで一括指定する
\include "0_1_metadata.ly"

% 楽曲のマーカー（練習番号および全パートにかかわる強弱・テンポ指定など）は以下のファイルで一括指定する
\include "0_2_marker.ly"





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  パート譜の全体に関わる設定項目
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ここから譜サイズを定義
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  % 譜表のサイズに関する全体設定を、set-grobal-staff-sizeで調整。
  % これはtop level-scopeもしくはlayout内（出力ファイルが複数あり、その1つに適用したい場合）に設置する。
  % なお吹奏楽編成のスコアをA3用紙に書く場合、最初は12か13を試す。
  % 文字を大きくしたい場合は14を試してみると良いが、スペースが詰まってきて大変かも

#(set-global-staff-size 12)

  % なお、パート譜の場合はだいたい17-18くらい。


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ここから用紙設定を定義
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  % スコアにおける用紙の使い方を指定するための paperセクションをここに置く。
  % パート譜用はA4だがこちらはA3縦の用紙を使っている。

\paper {


  #(set-paper-size "a3")
  line-width = 25.0 \cm
% A3 用紙のサイズは 29.7 x 42.0cm なので、このとき左右余白が 計 4.7 cm 
  top-margin = 0.65 \cm     % より正確には、用紙の上端からヘッダまでの距離
  bottom-margin = 0.4 \cm  % より正確には、フッタから用紙の下端までの距離
  right-margin = 1.8 \cm   % なお、left-margin は幅と右余白から自動計算されるので要らない

  indent = 2 \cm % 最初のページだけ楽器名のスペースを空ける。 grobal-staff-sizeに依存して最適値が変化。15 以上なら2.5 cm、14以下なら2 cm あたりが適切か。
  short-indent = 0.3 \cm % 2ページ目以降の楽器名のスペースを確保。まあ適当でいいです
  
  
%  system-system-spacing = #'( ( basic-distance . 15.5 ) ) % 譜表システム間の距離
  top-markup-spacing = #'( (basic-distance . 0  ) )   % 印刷可能エリア上端から曲タイトルの上端まで（1ページ目）
  top-system-spacing = #'( (basic-distance . 6.5  ) )   % 印刷可能エリア上端からシステム上端まで（2ページ目以降）
  markup-system-spacing = #'( ( padding . 0 ) ) % ヘッダ（作曲者名etc.）の下端から最初の譜表までの距離
  last-bottom-spacing = #'( (basic-distance . 6 ) )  % 最下段の譜表システムから印刷可能エリア下端まで

  print-page-number = ##t  % ページ番号を譜刻する
  print-first-page-number = ##t  % 最初のページにページ番号を譜刻する
   
  annotate-spacing = ##f % 垂直方向レイアウト変数の値を表示（最終版では削除）
%  page-breaking = #ly:minimal-breaking  %さらに改ページの最適化


% 以下のブロックはページ番号を中央揃えに変更する
% 参照 http://lilypond.org/doc/v2.18/Documentation/notation/custom-headers-footers-and-titles#custom-layout-for-title-blocks
  oddHeaderMarkup = \markup \null
  evenHeaderMarkup = \markup \null
  oddFooterMarkup = \markup {
      \fill-line {
        \on-the-fly #print-page-number-check-first
        \fromproperty #'page:page-number-string
      }
    }
    evenFooterMarkup = \oddFooterMarkup


  % さらにデフォルトフォント設定を変更（したければ）する
  % この設定方法は version 2.16.0 の記譜法リファレンス1.8.3「ドキュメント全体のフォント」に書かれているもの。
%{
  myStaffSize = #8.5
  #(define fonts
    (make-pango-font-tree "Perpetua"
                          "Futura"
                          "Monaco"
                           (/ myStaffSize 13.5) ) )
%}
  % 最初の行の myStaffSizeは、スコア内の文字サイズに影響する。最適な設定値はおおよそgrobal-staff-size よりも小さな値になる。
  % いっぽう、最後の行の括弧内にある myStaffSize は、上でセットしたgrobal-staff-size と同じ値にすること。この値を小さくするほど、符頭や符鍵のサイズが五線に比べて大きくなる。

  % 使用可能なフォントファミリの名前は以下で調べる（lilypondの実行ファイルがあるフォルダへのパスを事前に通すこと）
  % lilypond -dshow-available-fonts x

  % デフォルトのセリフ体フォントは "New Century Schoolbook" で、LilyPondの usr/share/current/fonts/ にある。
  % デフォルトだけあって発想記号やオタマジャクシとの見た目が統一されており、オールジャンルに使える良い書体。

  % セリフ体の他のおすすめは
  % "Cochin"
  % "Times"
  % "Perpetua"
  % "Palatino Linotype"
  % "Optima"  % 厳密にはサンセリフ体のフォントであるが、セリフ体に近い特徴をもつ
  
  
  % ちなみに日本語のフォント、たとえば"小塚明朝 Pro"などとしても一応通るが、PDFへの変換に時間がかかる。
  % 日本語フォントは、アルファベットの文字幅が不自然だったりイタリックにならなかったりするので推奨しない。
  % 日本語で書きたければ、markup構文中でその都度設定を上書き
  % たとえば \override #'(font-name . "Kozuka Mincho Pr6N") {"中身"}
  
  
  % これが 2.18.0の記譜法リファレンスでは、以下の構文になっている。
  %{
  #(define fonts
    (make-pango-font-tree "Times"
                          "Nimbus Sans"
                          "Luxi Mono"
                          (/ staff-height pt 20)))
  %}
  % こっちのほうが、grobal-staff-sizeとの整合性を明示的に考えなくて済む

  
} % ここまでpaperブロック






% 全パート譜に関してレイアウトを一括変更したいならば、以下でエングラーバを操作する
\layout {
  \context {
    \Staff

%    \consists "Ambitus_engraver" % 音域の上限下限を確認させる。最終版では削除する。

%    \override InstrumentName #'font-name = #"Cochin"  % 楽器名のフォントを変更
   \override InstrumentName #'self-alignment-X = #RIGHT  % 楽器名の右揃え
    \override InstrumentName #'font-series = #'bold  % 楽器名のフォントのボールドを指定
%    \override InstrumentName #'font-size = #1.0  % 楽器名のフォントサイズを変更
%    \override InstrumentName #'stencil = ##f     % 楽器名を消したい時のオプション
%    \remove "Instrument_name_engraver"        % これも楽器名を消すことができる


%    \remove "Note_heads_engraver"
%    \consists "Completion_heads_engraver" % 小節線をまたぐ音符を、自動的に分割するためのエングラーバ
%    \remove "Rest_engraver"
%    \consists "Completion_rest_engraver"  % 小節線をまたぐ休符を、正しくカウントさせるためのエングラーバ    
%  Completion_rest_engraver は複数ボイスの譜表では、さらに1ボイス分の余計な休符を出力するので好ましくない。しかしボイス内に中途半端な（通常のオタマジャクシで表現できない）長さの休符を含む場合、本エングラーバを入れないとその休符がスキップされてしまう。


  }

  % ところでStaff だと、DrumStaffであるパーカッションパートに対する変更にはならないね。
  % なので、以下に DrumStaff 用の変更を再度、記入する
  \context {
    \DrumStaff
    \override InstrumentName #'self-alignment-X = #RIGHT  % 楽器名の右揃え
%    \override InstrumentName #'font-size = #1.0  % 楽器名のフォントサイズを変更
    \override InstrumentName #'font-series = #'bold  % 楽器名のフォントのボールドを指定


  }

} % ここまでlayoutブロック




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%   曲が長くてレンダリングに時間がかかる場合は、以下で出力範囲を定義
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
  
  
  
  
  
%  showFirstLength = R1*32 % 最初の32小節だけを出力
%  showLastLength = R1*32 % 最後の32小節だけを出力

  % さらに細かく出力範囲を制御したい場合は、マーカーに \set Score.skipTypesetting = ##t を指定するとよい
  % 詳細は 「3.4.2 校正済みの音楽をスキップする」








%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  ここからbookを定義
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



% contextは newと類似で、コンテキストを新たに定義する関数
% 実際の吹奏楽スコアではstaffgroupを定義する必要あり。
% Staffはいわゆる譜表の1つずつである。

% 基本的に上で定義された部品しか使えないため、最後にscoreパートが来る。




% scoreをbookで囲む。このセクションにより、includeされたファイル中のscoreセクションからの出力を抑制し、総譜だけを明示的に出力できる


\book {

  \bookOutputName "Score"  % 出力されるスコアのpdfファイルの名前をここで指定


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ここからスコアを定義
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  \score {
   <<

 % なおshortInstrumentNameは楽器名の略記（2段目以降に表示）。
 % 各楽器ファイル内で定義すると、パート譜の2段目以降の全段にも律儀に記載されてしまうので、ここで初めて定義

 % grobalMarker は全てのパートに入れないと、転調が反映されない



  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ここから木管楽器
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


  \new StaffGroup ="SectWoodwind"  <<

    \new Staff = "Piccolo" \with { 
      shortInstrumentName = \markup { \italic "*Picc. " } 
    }
    <<
      \transpose c c, { \piccolo } %音符の中身を保持しているオブジェクト
      \grobalMarker                %これを入れないと転調が反映されない
    >>
      
    \new Staff = "FluteFirst" \with { 
      shortInstrumentName = \markup { "Fl. 1 " } 
    }
    <<
      \transpose c c { \flutefirst } %音符の中身を保持しているオブジェクト
      \grobalMarker                %これを入れないと転調が反映されない
    >>

    \new Staff = "FluteSecond" \with { 
      shortInstrumentName = \markup { "Fl. 2 " } 
    }
    <<
      \transpose c c { \flutesecond } %音符の中身を保持しているオブジェクト
      \grobalMarker                %これを入れないと転調が反映されない
    >>

    \new Staff = "Oboe" \with { 
      shortInstrumentName = \markup { \italic "*Ob. " } 
    }
    <<
      \transpose c c { \oboe } %音符の中身を保持しているオブジェクト
      \grobalMarker                %これを入れないと転調が反映されない
    >>

    \new Staff = "Bassoon" \with { 
      shortInstrumentName = \markup { \italic "*Bsn. " } 
    }
    <<
      \transpose c c { \bassoon } %音符の中身を保持しているオブジェクト
      \grobalMarker                %これを入れないと転調が反映されない
    >>

  >>

% クラリネットセクションの皆さんを定義
% Esクラリネットは \transpose ees c { \clarinetes } として、短三度下に移す。
% Bflatクラリネットは \transpose bes c' { \clarinet } として、長2度上に移す。
% アルトクラリネットは \transpose ees c' { \clarinet } として、長6度上に移す。
% バスクラリネットは \transpose ees c'' { \clarinetbass } として、長13度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。


  \new StaffGroup ="SectClarinet" <<

    \new Staff = "ClarinetEs" \with { 
      shortInstrumentName = \markup { \italic {"*E" \magnify #0.7 \flat " Cl. "} } 
    }
    <<
      \transpose ees c { \clarinetes }  %音符の中身を保持しているオブジェクト
      \transpose ees c { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "ClarinetFirst" \with { 
      shortInstrumentName = \markup { "Cl. 1 " } 
    }
    <<
      \transpose bes c' { \clarinetfirst }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "ClarinetSecond" \with { 
      shortInstrumentName = \markup { "Cl. 2 " } 
    }
    <<
      \transpose bes c' { \clarinetsecond }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "ClarinetThird" \with { 
      shortInstrumentName = \markup { "Cl. 3 " } 
    }
    <<
      \transpose bes c' { \clarinetthird }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "ClarinetAlto" \with { 
      shortInstrumentName = \markup { \italic {"*A. Cl. "} } 
    }
    <<
      \transpose ees c' { \clarinetalto }  %音符の中身を保持しているオブジェクト
      \transpose ees c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "ClarinetBass" \with { 
      shortInstrumentName = \markup { "B. Cl. " } 
    }
    <<
      \transpose bes c'' { \clarinetbass }  %音符の中身を保持しているオブジェクト
      \transpose bes c'' { \grobalMarker } %グローバルマーカー
    >>

  >>


% サックスセクションの皆さんを定義
% アルトサックスは \transpose ees c' { \saxalto } として、長六度上に移す。
% テナーサックスは \transpose bes c'' { \saxtenor } として、長九度上に移す。
% バリトンサックスは \transpose ees c'' { \saxbaritone } として、長十三度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。

  \new StaffGroup ="SectSax" <<

    \new Staff = "SaxAltoFirst" \with { 
      shortInstrumentName = \markup { "A. Sax. 1 " } 
    }
    <<
      \transpose ees c' { \saxaltofirst }  %音符の中身を保持しているオブジェクト
      \transpose ees c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "SaxAltoSecond" \with { 
      shortInstrumentName = \markup { "A. Sax. 2 " } 
    }
    <<
      \transpose ees c' { \saxaltosecond }  %音符の中身を保持しているオブジェクト
      \transpose ees c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "SaxTenor" \with { 
      shortInstrumentName = \markup { "T. Sax. " } 
    }
    <<
      \transpose bes c'' { \saxtenor }  %音符の中身を保持しているオブジェクト
      \transpose bes c'' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "SaxBaritone" \with { 
      shortInstrumentName = \markup { "Bar. Sax. " } 
    }
    <<
      \transpose ees c'' { \saxbaritone }  %音符の中身を保持しているオブジェクト
      \transpose ees c'' { \grobalMarker } %グローバルマーカー
    >>

  >>

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ここから金管楽器
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% トランペットの皆さんを定義
% トランペットは \transpose bes c' { \trumpet } として、長二度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。

  \new StaffGroup ="SectTrumpet" <<

    \new Staff = "TrumpetFirst" \with { 
      shortInstrumentName = \markup { "Trp. 1 " } 
      % 以下の3つのエングラーバは、練習番号をこの譜表に記載する（通常は最上段の譜表にしか表示できない）
      \consists "Mark_engraver"
      \consists "Staff_collecting_engraver"
      \consists "Metronome_mark_engraver"
    }
    <<
      \transpose bes c' { \trumpetfirst }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "TrumpetSecond" \with { 
      shortInstrumentName = \markup { "Trp. 2 " } 
    }
    <<
      \transpose bes c' { \trumpetsecond }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "TrumpetThird" \with { 
      shortInstrumentName = \markup { "Trp. 3 " } 
    }
    <<
      \transpose bes c' { \trumpetthird }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

  >>


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ホルンセクション
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  

% ホルンの皆さんを定義
% ホルンは \transpose f c' { \horn } として、完全五度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。

% ホルン1,2のみ、複数ボイスの結合による出力不正を避けるため色々とトリックを仕込んでいることに注意。
%   複数ボイスを結合した譜表に対し、"Note_heads_engraver"は符頭を2回重複して譜刻してしまうため、これをremoveする。
%   "Completion_rest_engraver" は複数ボイスの譜表では、さらに1ボイス分の余計な休符を出力するので好ましくない。
%   しかしボイス内に中途半端な（通常のオタマジャクシで表現できない）長さの休符を含む場合、本エングラーバを入れないとその休符がスキップされてしまう。
%   なので、安全策を取るならば "Completion_rest_engraver" を含む設定にしておく。やっぱり余計な休符は好ましくないという人は、全ての休符が適切な長さである（例えば、小節単位の休符が全てRになっている）ことを確認した後、これを削除。

  \new StaffGroup ="SectHorn" <<

    \new Staff = "HornFirstSecond" \with { 
      shortInstrumentName = \markup { "Hrns. 1, 2 " } 
%      \remove "Completion_heads_engraver"
      \remove "Note_heads_engraver"  
      \remove "Completion_rest_engraver"  % 上記の通り、このエングラーバは入力確認時のみ含める
      \remove "Rest_engraver"  % "Rest_engraver" は複数ボイスの譜表では余計な休符を出力
    }
    <<
      \transpose f c' { \hornfirstsecond }  %音符の中身を保持しているオブジェクト
      \transpose f c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "HornThird" \with { 
      shortInstrumentName = \markup { "Hrn. 3 " } 
    }
    <<
      \transpose f c' { \hornthird }  %音符の中身を保持しているオブジェクト
      \transpose f c' { \grobalMarker } %グローバルマーカー
    >>

% 大編成の場合は Hrns. 3, 4 が以下のようになる
%{
    \new Staff = "HornThirdFourth" \with { 
      shortInstrumentName = \markup { "Hrns. 3, 4 " } 
%      \remove "Completion_heads_engraver"
      \remove "Note_heads_engraver"  
      \remove "Completion_rest_engraver"  % 上記の通り、このエングラーバは入力確認時のみ含める
      \remove "Rest_engraver"  % "Rest_engraver" は複数ボイスの譜表では余計な休符を出力
    }
    <<
      \transpose f c' { \hornthirdfourth }  %音符の中身を保持しているオブジェクト
      \transpose f c' { \grobalMarker } %グローバルマーカー
    >>
%}

  >>


% トロンボーンの皆さんを定義
  \new StaffGroup ="SectTrombone" <<

    \new Staff = "TromboneFirst" \with { 
      shortInstrumentName = \markup { "Trb. 1 " } 
    }
    <<
      \transpose c c { \trombonefirst }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "TromboneSecond" \with { 
      shortInstrumentName = \markup { "Trb. 2 " } 
    }
    <<
      \transpose c c { \trombonesecond }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "TromboneThird" \with { 
      shortInstrumentName = \markup { "Trb. 3 " } 
    }
    <<
      \transpose c c { \trombonethird }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>

  >>


% 低音セクションの皆さんを定義
  \new StaffGroup ="SectBass" <<

    \new Staff = "Euphonium" \with { 
      shortInstrumentName = \markup { "Euph. " } 
    }
    <<
      \transpose c c { \euphonium }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "Tuba" \with { 
      shortInstrumentName = \markup { "Tub. " } 
    }
    <<
      \transpose c c { \tuba }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "StringBass" \with { 
      shortInstrumentName = \markup { \italic "*St. B. " } 
    }
    <<
      \transpose c c' { \stringbass }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>

  >> % ここまで低音セクション




  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ここから打楽器
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



% 打楽器セクションの皆さんを定義
  \new StaffGroup ="SectPercussion" \with {
  }
  <<

% ちなみに打楽器の入力方法として、少なくとも以下の2つがある
% 方法1 MIDIノートの音高で打ち込み、これを RhythmicStaff に食べさせて音高情報を消す
% 方法2 \drummode を用いて打楽器の名前でノートを打ち込み、これを DrumStaff を用いてスコアに入れる
% MIDIデータが既にあるなら、方法1が楽だろう。しかし、奏法に応じた符頭や譜表の線の設定といった自由度は低い
% 以下では、シンバル等については原則、方法2を用いる


% ティンパニ
    \new Staff = "Timpani" \with { 
      shortInstrumentName = \markup { "Timp. " } 
      % 以下の3つのエングラーバは、練習番号をこの譜表に記載する（通常は最上段の譜表にしか表示できない）
      \consists "Mark_engraver"
      \consists "Staff_collecting_engraver"
      \consists "Metronome_mark_engraver"
    }
    <<
      \transpose c c { \timpani }           % 音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker }      % グローバルマーカー
    >>



% 打楽器1 グロッケン
    \new Staff = "PercussionFirst" \with { 
      shortInstrumentName = \markup { "Perc. 1 " } 
    }
    <<
      \transpose c c,, { \percussionfirst }  % 音符の中身を保持しているオブジェクト
      \transpose c c,, { \grobalMarker }     % グローバルマーカー
    >>


% スネア、バスドラム、シンバルは通常のスタッフではなく、DrumStaff を使用する。
% 上に述べたように、relative c{}で音高を含むデータを作ってからRhythmicStaffにぶち込む手もあり、この方がMIDIノートとの整合性は取りやすい。
% しかし、楽器別に符頭を置き換えたりといった処理はDrumStaffのほうが楽。


% 打楽器2 スネアドラム
    \new DrumStaff = "PercussionSecond" \with { 
      drumStyleTable = #percussion-style %全ての打楽器を1つの線上に
      \override StaffSymbol #'line-count = #1  % 五線の代わりに1本の線で
      shortInstrumentName = \markup { "Perc. 2 " } 
      \override InstrumentName #'self-alignment-X = #RIGHT      %楽器名の右揃え
      \override ShortInstrumentName #'self-alignment-X = #RIGHT %短縮楽器名の右揃え
    }
    <<
      \percussionsecond  % 音符の中身を保持しているオブジェクト
      \grobalMarker      % グローバルマーカー
    >>


% 打楽器3 バスドラム
    \new DrumStaff = "PercussionThird" \with { 
      drumStyleTable = #percussion-style %全ての打楽器を1つの線上に
      \override StaffSymbol #'line-count = #1  % 五線の代わりに1本の線で
      shortInstrumentName = \markup { "Perc. 3 " } 
      \override InstrumentName #'self-alignment-X = #RIGHT      %楽器名の右揃え
      \override ShortInstrumentName #'self-alignment-X = #RIGHT %短縮楽器名の右揃え
    }
    <<
      \percussionthird  % 音符の中身を保持しているオブジェクト
      \grobalMarker     % グローバルマーカー
    >>


% 打楽器4 シンバル
    \new DrumStaff = "PercussionFour" \with { 
      drumStyleTable = #percussion-style %全ての打楽器を1つの線上に
      \override StaffSymbol #'line-count = #1  % 五線の代わりに1本の線で
      shortInstrumentName = \markup { "Perc. 4 " }       
      \override InstrumentName #'self-alignment-X = #RIGHT      %楽器名の右揃え
      \override ShortInstrumentName #'self-alignment-X = #RIGHT %短縮楽器名の右揃え
    }
    <<
      \percussionfourth  % 音符の中身を保持しているオブジェクト
      \grobalMarker      % グローバルマーカー
    >>

  >> % ここまで打楽器セクション


  >>  % ここまでが譜表の定義



  % MIDIデータいらないならば以下のブロックをコメントアウト
  % 既知の問題：上で各楽器を移調しているため、生成されるMIDIの音高は記譜音になります。
  % MIDIチャンネルは1-16までStaff毎に割り当てられ、16を超えるとまた1から順に再利用されます。
  % DrumStaffにかんしてはchannnel 10が割り当てられます。ノートの長さは楽譜のそれがそのまま入ります。

  % 今回は0_z_midi.lyを使って出力させるので、このブロックは使わない。
%{
  \midi {
    \tempo 4 = 96  % テンポは適宜調整してくだしあ  
  }   
%}

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  最後にレイアウト調整
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


  
  \layout {   
    \override InstrumentName #'self-alignment-X = #RIGHT      %楽器名の右揃え
%    \override ShortInstrumentName #'self-alignment-X = #RIGHT %短縮楽器名の右揃え
    \override InstrumentName #'padding = #10 % 楽器名の余白を少し大きく（標準は3）
    \context {
    \Score
    \override SpacingSpanner #'base-shortest-duration = #(ly:make-moment 1/16)
    % このオプションは楽譜を水平方向に拡大する。詳細は 4.5.3「水平方向のスペースを変更する」
    % 初期値はどうやら 1/8。パート譜には良いがスコアには狭すぎる。
    % 1/16にすると、標準（13ページ）よりも横に広がる（19ページ）。課題曲のスコアでA3用紙に譜面サイズ14だと、この程度の値が適切。
    % 3/64にすると、さらに横に広がる（22ページ）。
    % 1/24にすると、さらに横に広がる（24ページ）。
    % 1/32にすると、ものすごく横に広がる。
    
    % ちなみにページが異常に詰まって表示される場合、小節チェックに失敗している可能性がある。
    
    % 蛇足　アーティキュレーションや強弱記号を書き込んだり削除したりしても、原則的には楽譜のページ数は増減しない。
    % なので、各パートの音符と休符とを打込み終わった段階で、とりあえずページ数と余白設定の見積もりは可能である。


    }
  }


%ここまでがscoreセクション
}

%ここまでがbookセクション
}




