\version "2.18.0" % 最初に必ずLilyPondバージョンを指定するのは、お約束

% このソースファイルは、完成版のパート譜を全パート一括出力するためのもの。
% パート毎に異なるPDFファイルとして出力される。名前などは下の該当箇所で別途、指定できる。

% 次の1行は、生成されるPDF内のリンク作成を抑制する。
% ONにしていると配布するPDFにパソコン内のパスが残ってしまい、セキュリティ上問題がある。
\pointAndClickOff



  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  関連リソースをインクルード
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% 各楽器の実体は以下のファイルに別途格納。トランペットの1~3番など1ファイルにまとめても良いが、曲が長いと切れ目が見えなくて不便なのであえて分けた
\include "1_1_piccolo.ly"
\include "1_2_flute1.ly"
\include "1_3_flute2.ly"
\include "1_4_oboe.ly"
\include "1_5_bassoon.ly"

\include "2_1_clarinetEs.ly"
\include "2_2_clarinet1.ly"
\include "2_3_clarinet2.ly"
\include "2_4_clarinet3.ly"
\include "2_5_clarinetAlto.ly"
\include "2_6_clarinetBass.ly"

\include "3_1_saxAlto1.ly"
\include "3_2_saxAlto2.ly"
\include "3_3_saxTenor.ly"
\include "3_4_saxBaritone.ly"

\include "4_1_trumpet1.ly"
\include "4_2_trumpet2.ly"
\include "4_3_trumpet3.ly"

\include "5_1_horn1and2.ly"
\include "5_2_horn3.ly"   
% ホルンのみ、1+2, 3(+4) のボイスが同じ譜表に載る

\include "6_1_trombone1.ly"
\include "6_2_trombone2.ly"
\include "6_3_trombone3.ly"

\include "7_1_euphonium.ly"
\include "7_2_tuba.ly"
\include "7_3_stringbass.ly"

\include "8_1_timpani.ly"
\include "8_2_percussion1.ly"
\include "8_3_percussion2.ly"
\include "8_4_percussion3.ly"
\include "8_5_percussion4.ly"

% 楽曲のヘッダ（メタデータ）は以下のファイルで一括指定する
\include "0_1_metadata.ly"

% 楽曲のマーカー（練習番号および全パートにかかわる強弱・テンポ指定など）は以下のファイルで一括指定する
\include "0_2_marker.ly"

% パート譜用のpaperセクションは以下のファイルに入っている。用紙サイズがA4縦になっている。
\include "0_3_headerforpart.ly"



  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  パート譜の全体に関わる設定項目
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



% 譜表のサイズに関する全体設定を、set-grobal-staff-sizeで調整。
% これはtop level-scopeもしくはlayout内（もし出力ファイルが複数あるならば）に設置する。
% なお、パート譜の場合はだいたい17-18くらい。

  #(set-global-staff-size 18)


% 全パート譜に関してレイアウトを一括変更したいならば、以下でエングラーバを操作する。
% なお用紙の余白（そちらは\paperセクションで指定する）については、 headerforpart.ly に入っているので注意。
\layout {
  \context {
    \Staff
    \consists "Ambitus_engraver" % 音域の上限下限を確認させる。最終版では削除する。
    \override InstrumentName #'self-alignment-X = #RIGHT       % 楽器名の右揃え
    \remove "Note_heads_engraver"
%    \consists "Completion_heads_engraver" % 小節線をまたぐ音符を、自動的に分割するためのエングラーバ
%    \remove "Rest_engraver"
%    \consists "Completion_rest_engraver"  % 小節線をまたぐ休符を、正しくカウントさせるためのエングラーバ。手動で休符の長さを分割しておけば、通常は要らない
    
%  なお "Completion_rest_engraver" は複数ボイスの譜表では、さらに1ボイス分の余計な休符を出力するので好ましくない。しかしボイス内に中途半端な（通常のオタマジャクシで表現できない）長さの休符を含む場合、本エングラーバを入れないとその休符がスキップされてしまう。

%    \override InstrumentName #'font-size = #1 % 楽器名のフォントサイズを大きくする
%    \override InstrumentName #'stencil = ##f  % もしも楽器名を消したい時のオプション
%    \remove "Instrument_name_engraver"        % これも楽器名を消すことができる
  }
}

% ところでStaff だと、DrumStaffであるパーカッションパートに対する変更にはならないね。



  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ここから出力部分
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



% 複数の book セクション を指定。
% これで、パート毎に完全なヘッダを含み、紙が分かれているパート譜を複数得られる
% 複数の出力を得る方法の説明は公式ドキュメントの→「3.1.3 1 つの入力ファイルから複数の出力ファイルを生成する」

% パート譜の各ファイルに名前を指定するため、 \bookOutputName を使う
% 代わりに \bookOutputSuffix を使う方法もあるが、あまりメリットはない

% なお、パート譜の2段目以降に楽器名を入れないという方針の下、以下の各staffでは
% shortInstrumentName を定義していない。


% \grobalMarker は リハーサル番号をパート譜に記載するため必要。
% 転調もここに記載されているが、音符と同時に記載した方が安全である。


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  全パート出力したくないときは、必要ないパートの\book セクション全体をコメントアウトしましょう
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%{
  この中は複数行でもコメントアウトされる
%}


  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ここから木管楽器
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% ピッコロ （このパートだけ、冗長なオプション表現をコメントとして記しておく）
\book {  
  \bookOutputName "P_1_1_Piccolo"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "Piccolo" \with { 
%      midiInstrument = #"piccolo"
%      shortInstrumentName = \markup { \italic "*Picc. " }       % 短縮楽器名（基本的にパート譜には不要）
%      \override InstrumentName #'self-alignment-X = #RIGHT       % 楽器名の右揃え
%      \override ShortInstrumentName #'self-alignment-X = #RIGHT % 短縮楽器名の右揃え（パート譜には不要）
%      \override InstrumentName #'stencil = ##f  % もしも楽器名を消したい時のオプション
%      \remove "Instrument_name_engraver"        % これも楽器名を消すことができる
    }
    <<
      \transpose c c, { \piccolo }  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで


% フルート1番
\book {  
  \bookOutputName "P_1_2_Flute_1"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "FluteFirst" \with { 
    }
    <<
      \transpose c c { \flutefirst }  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {}
  }  % scoreセクションここまで
}  % bookセクションここまで


% フルート2番
\book {  
  \bookOutputName "P_1_3_Flute_2"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "FluteSecond" \with { 
      }
    <<
      \transpose c c { \flutesecond }  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {}
  }  % scoreセクションここまで
}  % bookセクションここまで



% オーボエ

\book {  
  \bookOutputName "P_1_4_Oboe"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "Oboe" \with { 
      }
    <<
      \transpose c c { \oboe }  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {}
  }  % scoreセクションここまで
}  % bookセクションここまで



% ファゴット
\book {  
  \bookOutputName "P_1_5_Bassoon"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "Bassoon" \with { 
      }
    <<
      \transpose c c { \bassoon }  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {}
  }  % scoreセクションここまで
}  % bookセクションここまで



% 以下のコマンドは、音を確認するためにセクション単位で出力したいときに用いるオプション。
% 最終出力ではもちろん使わないのでコメントアウトする

% 木管高音セクション

\book {  
  \bookOutputName "P_1_0_Woodwinds"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
  \new StaffGroup ="FlutesOboe" \with {
  }
  <<

    \new Staff = "Piccolo" \with { 
    }
    <<
      \transpose c c, { \piccolo }  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>

    \new Staff = "FluteFirst" \with { 
    }
    <<
      \transpose c c { \flutefirst }  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>


    \new Staff = "FluteSecond" \with { 
      }
    <<
      \transpose c c { \flutesecond }  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>
    
    \new Staff = "Oboe" \with { 
      }
    <<
      \transpose c c { \oboe }  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>

    \new Staff = "Bassoon" \with { 
      }
    <<
      \transpose c c { \bassoon }  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>

  >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
      #(layout-set-staff-size 15)
    }
  }  % scoreセクションここまで
    \paper {
      #(set-paper-size "a3")
    }
}  % bookセクションここまで





  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  クラリネットセクション
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



% Esクラリネットは \transpose ees c { \clarinetes } として、短三度下に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。

% Esクラリネット
\book {  
  \bookOutputName "P_2_1_Clarinet_Es"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "ClarinetEs" \with { 
      }
    <<
      \transpose ees c { \clarinetes }  %音符の中身を保持しているオブジェクト
      \transpose ees c { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {      
      \context {
        \Score
        \override SpacingSpanner #'base-shortest-duration = #(ly:make-moment 7/64)
        % このオプションは楽譜を水平方向に拡大する。詳細は 4.5.3「水平方向のスペースを変更する」
        % 値を小さくすると、標準よりも横に広がる。1/8, 3/32, 1/16, 1/32
      }
    } % layout ここまで
  }  % scoreセクションここまで
}  % bookセクションここまで



% Bflatクラリネットは \transpose bes c' { \clarinetone } として、長2度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。



% クラリネット1
\book {  
  \bookOutputName "P_2_2_Clarinet_1"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "ClarinetFirst" \with { 
      }
    <<
      \transpose bes c' { \clarinetfirst }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {      
      \context {
        \Score
        \override SpacingSpanner #'base-shortest-duration = #(ly:make-moment 7/64)
        % このオプションは楽譜を水平方向に拡大する。詳細は 4.5.3「水平方向のスペースを変更する」
        % 値を小さくすると、標準よりも横に広がる。1/8, 3/32, 1/16, 1/32
      }
    } % layout ここまで
  }  % scoreセクションここまで
}  % bookセクションここまで


% クラリネット2
\book {  
  \bookOutputName "P_2_3_Clarinet_2"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "ClarinetSecond" \with { 
      }
    <<
      \transpose bes c' { \clarinetsecond }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで


% クラリネット3
\book {  
  \bookOutputName "P_2_4_Clarinet_3"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "ClarinetThird" \with { 
      }
    <<
      \transpose bes c' { \clarinetthird }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで



% アルトクラリネットは \transpose ees c' { \clarinetalto } として、長6度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。

% Altoクラリネット
\book {  
  \bookOutputName "P_2_5_Clarinet_Alto"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "ClarinetAlto" \with { 
      }
    <<
      \transpose ees c' { \clarinetalto }  %音符の中身を保持しているオブジェクト
      \transpose ees c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで



% バスクラリネットは \transpose ees c'' { \clarinetbass } として、長13度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。

% Bassクラリネット
\book {  
  \bookOutputName "P_2_6_Clarinet_Bass"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "ClarinetBass" \with { 
      }
    <<
      \transpose bes c'' { \clarinetbass }  %音符の中身を保持しているオブジェクト
      \transpose bes c'' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで





% 以下のコマンドは、音を確認するためにセクション単位で出力したいときに用いるオプション。
% 最終出力ではもちろん使わないのでコメントアウトする

% クラリネット（バスクラリネット以外）（バスクラは低音一括で出した方が管理しやすいので）

\book {  
  \bookOutputName "P_2_0_Clarinets_without_bass"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
  \new StaffGroup ="Clarinets" \with {
  }
  <<

    \new Staff = "ClarinetEs" \with { 
      }
    <<
      \transpose ees c { \clarinetes }  %音符の中身を保持しているオブジェクト
      \transpose ees c { \grobalMarker } %グローバルマーカー
    >>

  
    \new Staff = "ClarinetFirst" \with { 
      }
    <<
      \transpose bes c' { \clarinetfirst }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

  
    \new Staff = "ClarinetSecond" \with { 
      }
    <<
      \transpose bes c' { \clarinetsecond }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

  
    \new Staff = "ClarinetThird" \with { 
      }
    <<
      \transpose bes c' { \clarinetthird }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "ClarinetAlto" \with { 
      }
    <<
      \transpose ees c' { \clarinetalto }  %音符の中身を保持しているオブジェクト
      \transpose ees c' { \grobalMarker } %グローバルマーカー
    >>

  >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
      #(layout-set-staff-size 15)
    }
  }  % scoreセクションここまで
    \paper {
      #(set-paper-size "a3")
    }
}  % bookセクションここまで






  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  サックスセクション
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




% アルトサックスは \transpose ees c' { \saxaltoone } として、長六度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。

% アルトサックス1
\book {  
  \bookOutputName "P_3_1_Sax_Alto_1"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "SaxAltoOne" \with { 
      }
    <<
      \transpose ees c' { \saxaltofirst }  %音符の中身を保持しているオブジェクト
      \transpose ees c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで



% アルトサックス2
\book {  
  \bookOutputName "P_3_2_Sax_Alto_2"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "SaxAltoTwo" \with { 
      }
    <<
      \transpose ees c' { \saxaltosecond }  %音符の中身を保持しているオブジェクト
      \transpose ees c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで



% テナーサックスは \transpose bes c'' { \saxtenor } として、長九度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。

% テナーサックス
\book {  
  \bookOutputName "P_3_3_Sax_Tenor"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "SaxTenor" \with { 
      }
    <<
      \transpose bes c'' { \saxtenor }  %音符の中身を保持しているオブジェクト
      \transpose bes c'' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで




% バリトンサックスは \transpose ees c'' { \saxbaritone } として、長十三度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。

% バリトンサックス
\book {  
  \bookOutputName "P_3_4_Sax_Baritone"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "SaxBaritone" \with { 
      }
    <<
      \transpose ees c'' { \saxbaritone }  %音符の中身を保持しているオブジェクト
      \transpose ees c'' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで






% 以下のコマンドは、音を確認するためにセクション単位で出力したいときに用いるオプション。
% 最終出力ではもちろん使わないのでコメントアウトする

% サックス全部（ただしバリトンは、低音のほうで確認した方が楽かもしれない）

\book {  
  \bookOutputName "P_3_0_Sax_all"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
  \new StaffGroup ="Saxes" \with {
  }
  <<

    \new Staff = "SaxAltoOne" \with { 
      }
    <<
      \transpose ees c' { \saxaltofirst }  %音符の中身を保持しているオブジェクト
      \transpose ees c' { \grobalMarker } %グローバルマーカー
    >>
    
    \new Staff = "SaxAltoTwo" \with { 
      }
    <<
      \transpose ees c' { \saxaltosecond }  %音符の中身を保持しているオブジェクト
      \transpose ees c' { \grobalMarker } %グローバルマーカー
    >>
    
    \new Staff = "SaxTenor" \with { 
      }
    <<
      \transpose bes c'' { \saxtenor }  %音符の中身を保持しているオブジェクト
      \transpose bes c'' { \grobalMarker } %グローバルマーカー
    >>
    
    \new Staff = "SaxBaritone" \with { 
      }
    <<
      \transpose ees c'' { \saxbaritone }  %音符の中身を保持しているオブジェクト
      \transpose ees c'' { \grobalMarker } %グローバルマーカー
    >>

  >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
      #(layout-set-staff-size 15)
    }
  }  % scoreセクションここまで
    \paper {
      #(set-paper-size "a3")
    }
}  % bookセクションここまで





  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ここから金管楽器
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  

% トランペットは \transpose bes c' { \trumpetone } として、長二度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。




% トランペット1
\book {  
  \bookOutputName "P_4_1_Trumpet_1"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "TrumpetFirst" \with { 
      }
    <<
      \transpose bes c' { \trumpetfirst }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで


% トランペット2
\book {  
  \bookOutputName "P_4_2_Trumpet_2"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "TrumpetSecond" \with { 
      }
    <<
      \transpose bes c' { \trumpetsecond }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで


% トランペット3
\book {  
  \bookOutputName "P_4_3_Trumpet_3"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "TrumpetThird" \with { 
      }
    <<
      \transpose bes c' { \trumpetthird }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで




% 以下のコマンドは、音を確認するためにセクション単位で出力したいときに用いるオプション。
% 最終出力ではもちろん使わないのでコメントアウトする

% トランペット全部

\book {  
  \bookOutputName "P_4_0_Trumpets_all"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {

  \new StaffGroup ="TrumpetsAll" \with {
  }
  <<
  
    \new Staff = "TrumpetFirst" \with { 
      }
    <<
      \transpose bes c' { \trumpetfirst }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "TrumpetSecond" \with { 
      }
    <<
      \transpose bes c' { \trumpetsecond }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "TrumpetThird" \with { 
      }
    <<
      \transpose bes c' { \trumpetthird }  %音符の中身を保持しているオブジェクト
      \transpose bes c' { \grobalMarker } %グローバルマーカー
    >>

  >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
      #(layout-set-staff-size 15)
    }
  }  % scoreセクションここまで
    \paper {
      #(set-paper-size "a3")
    }
}  % bookセクションここまで



  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ホルンセクション
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  


% ホルンは \transpose f c' { \hornonetwo } として、完全五度上に移す。
% なお移調楽器の場合、\grobalMarker も移調することに注意。

% ホルンのみ、複数ボイスの結合による出力不正を避けるため色々とトリックを仕込んでいることに注意。

%%   複数ボイスを結合した譜表に対し、"Note_heads_engraver"は符頭を2回重複して譜刻してしまうため、これをremove

%%   "Completion_rest_engraver" は複数ボイスの譜表では、さらに1ボイス分の余計な休符を出力するので好ましくない。しかしボイス内に中途半端な（通常のオタマジャクシで表現できない）長さの休符を含む場合、本エングラーバを入れないとその休符がスキップされてしまう。なので、安全策を取るならば "Completion_rest_engraver" を含む設定にしておく。やっぱり余計な休符は好ましくないという人は、全ての休符が適切な長さである（例えば、小節単位の休符が全てRになっている）ことを確認した後、これを削除。
  

 
% ホルン1&2
\book {  
  \bookOutputName "P_5_1_Horn_1and2"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "HornFirstSecond" \with { 
%      \override InstrumentName #'self-alignment-X = #RIGHT       % 楽器名の右揃え
%      \remove "Completion_heads_engraver"
      \remove "Note_heads_engraver"  
      \remove "Completion_rest_engraver"  % 上記の通り、このエングラーバは入力確認時のみ含める
      \remove "Rest_engraver"  % "Rest_engraver" は複数ボイスの譜表では余計な休符を出力
      }
    <<
      \transpose f c' { \hornfirstsecond }  %音符の中身を保持しているオブジェクト
      \transpose f c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {      
      \context {
        \Score
%        \override SpacingSpanner #'base-shortest-duration = #(ly:make-moment 3/32)
        % このオプションは楽譜を水平方向に拡大する。詳細は 4.5.3「水平方向のスペースを変更する」
        % 初期値はどうやら 1/8。
        % 値を小さくすると、標準よりも横に広がる。ホルンは詰まりやすいので、こちらの方が奇麗。
      }
    }
  }  % scoreセクションここまで
}  % bookセクションここまで




% ホルン3
\book {  
  \bookOutputName "P_5_2_Horn_3"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "HornThird" \with { 
%      \override InstrumentName #'self-alignment-X = #RIGHT       % 楽器名の右揃え
%      \remove "Note_heads_engraver"
%      \consists "Completion_heads_engraver"
%      \remove "Rest_engraver"
%      \consists "Completion_rest_engraver" 
      }
    <<
      \transpose f c' { \hornthird }  %音符の中身を保持しているオブジェクト
      \transpose f c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで




% 以下のコマンドは、音を確認するためにセクション単位で出力したいときに用いるオプション。
% 最終出力ではもちろん使わないのでコメントアウトする

% ホルン全部

\book {  
  \bookOutputName "P_5_0_Horn_all"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {

  \new StaffGroup ="HornAll" \with {
  }
  <<
  
    \new Staff = "HornFirstSecond" \with { 
%      \remove "Completion_heads_engraver"
      \remove "Note_heads_engraver"  
      \remove "Completion_rest_engraver"  % 上記の通り、このエングラーバは入力確認時のみ含める
      \remove "Rest_engraver"  % "Rest_engraver" は複数ボイスの譜表では余計な休符を出力
    }
    <<
      \transpose f c' { \hornfirstsecond }  %音符の中身を保持しているオブジェクト
      \transpose f c' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "HornThird" \with { 
    }
    <<
      \transpose f c' { \hornthird }  %音符の中身を保持しているオブジェクト
      \transpose f c' { \grobalMarker } %グローバルマーカー
    >>
  >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
      #(layout-set-staff-size 14)
    }
  }  % scoreセクションここまで
}  % bookセクションここまで






  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  トロンボーンセクション
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  % トロンボーンは移調なし。なんでだろうね。





% トロンボーン1
\book {  
  \bookOutputName "P_6_1_Trombone_1"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "TromboneFirst" \with { 
      }
    <<
      \transpose c c { \trombonefirst }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで



% トロンボーン2
\book {  
  \bookOutputName "P_6_2_Trombone_2"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "TromboneSecond" \with { 
      }
    <<
      \transpose c c { \trombonesecond }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで



% トロンボーン3
\book {  
  \bookOutputName "P_6_3_Trombone_3"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "TromboneThird" \with { 
      }
    <<
      \transpose c c { \trombonethird }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで





% 以下のコマンドは、音を確認するためにセクション単位で出力したいときに用いるオプション。
% 最終出力ではもちろん使わないのでコメントアウトする

% トロンボーン全部

\book {  
  \bookOutputName "P_6_0_Trombones_all"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {

  \new StaffGroup ="TrombonesAll" \with {
  }
  <<
  
    \new Staff = "TromboneFirst" \with { 
      }
    <<
      \transpose c c { \trombonefirst }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "TromboneSecond" \with { 
      }
    <<
      \transpose c c { \trombonesecond }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "TromboneThird" \with { 
      }
    <<
      \transpose c c { \trombonethird }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>

  >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
      #(layout-set-staff-size 15)
    }
  }  % scoreセクションここまで
    \paper {
      #(set-paper-size "a3")
    }
}  % bookセクションここまで



  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ここから低音セクション
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



% ユーフォニアム
\book {  
  \bookOutputName "P_7_1_Euphonium"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "Euphonium" \with { 
      }
    <<
      \transpose c c { \euphonium }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
    }
  }  % scoreセクションここまで
}  % bookセクションここまで



% チューバ
\book {  
  \bookOutputName "P_7_2_Tuba"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "Tuba" \with { 
    }
    <<
      \transpose c c { \tuba }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {}
  }  % scoreセクションここまで
}  % bookセクションここまで





% コントラバス
\book {  
  \bookOutputName "P_7_3_StringBass"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "StringBass" \with { 
    }
    <<
      \transpose c c' { \stringbass }  %音符の中身を保持しているオブジェクト
      \transpose c c' { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {}
  }  % scoreセクションここまで
}  % bookセクションここまで





% 以下のコマンドは、音を確認するためにセクション単位で出力したいときに用いるオプション。
% 最終出力ではもちろん使わないのでコメントアウトする

% 低音全部

\book {  
  \bookOutputName "P_7_0_Bass_all"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
  \new StaffGroup ="BassAll" \with {
  }
  <<

    \new Staff = "Bassoon" \with { 
      }
    <<
      \transpose c c { \bassoon }  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>


    \new Staff = "ClarinetBass" \with { 
      }
    <<
      \transpose bes c'' { \clarinetbass }  %音符の中身を保持しているオブジェクト
      \transpose bes c'' { \grobalMarker } %グローバルマーカー
    >>

    
    \new Staff = "SaxBaritone" \with { 
      }
    <<
      \transpose ees c'' { \saxbaritone }  %音符の中身を保持しているオブジェクト
      \transpose ees c'' { \grobalMarker } %グローバルマーカー
    >>

    \new Staff = "Euphonium" \with { 
      }
    <<
      \transpose c c { \euphonium }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>


    \new Staff = "Tuba" \with { 
    }
    <<
      \transpose c c { \tuba }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>


    \new Staff = "StringBass" \with { 
    }
    <<
      \transpose c c' { \stringbass }  %音符の中身を保持しているオブジェクト
      \transpose c c' { \grobalMarker } %グローバルマーカー
    >>


  >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
      #(layout-set-staff-size 15)
    }
  }  % scoreセクションここまで
    \paper {
      #(set-paper-size "a3")
    }
}  % bookセクションここまで



  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %  ここから打楽器
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




% ティンパニ
\book {  
  \bookOutputName "P_8_1_Timpani"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "Timpani" \with { 
    }
    <<
      \transpose c c { \timpani }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {}
  }  % scoreセクションここまで
}  % bookセクションここまで



% グロッケン
\book {  
  \bookOutputName "P_8_2_Glockenspiel"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new Staff = "Glockenspiel" \with { 
    }
    <<
      \transpose c c,, { \percussionfirst }  %音符の中身を保持しているオブジェクト
      \transpose c c,, { \grobalMarker } %グローバルマーカー
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {}
  }  % scoreセクションここまで
}  % bookセクションここまで




% スネア、バスドラム、シンバルは通常のスタッフではなく、DrumStaff を使用する。
% relative c{}で音高を含むデータを作ってからRhythmicStaffにぶち込む手もあり、この方がMIDIノートとの整合性は取りやすいが、楽器別に符頭を置き換えたりといった処理はDrumStaffのほうが楽。


% スネアドラム
\book {  
  \bookOutputName "P_8_3_SnareDrum"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new DrumStaff = "SnareDrum" \with { 
      drumStyleTable = #percussion-style %全ての打楽器を1つの線上に
      \override StaffSymbol #'line-count = #1  % 五線の代わりに1本の線で
      \override InstrumentName #'self-alignment-X = #RIGHT      %楽器名の右揃え 
    }
    <<
      \percussionsecond  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
      \context {
        \Score
        \override SpacingSpanner #'base-shortest-duration = #(ly:make-moment 1/1)
        % このオプションは楽譜を水平方向に拡大する。詳細は 4.5.3「水平方向のスペースを変更する」
      }
    }
  }  % scoreセクションここまで
}  % bookセクションここまで


% バスドラム
\book {  
  \bookOutputName "P_8_4_BassDrum"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new DrumStaff = "BassDrum" \with { 
      drumStyleTable = #percussion-style %全ての打楽器を1つの線上に
      \override StaffSymbol #'line-count = #1  % 五線の代わりに1本の線で
      \override InstrumentName #'self-alignment-X = #RIGHT      %楽器名の右揃え 
    }
    <<
      \percussionthird  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
      \context {
        \Score
        \override SpacingSpanner #'base-shortest-duration = #(ly:make-moment 1/8)
        % このオプションは楽譜を水平方向に拡大する。詳細は 4.5.3「水平方向のスペースを変更する」
      }
    }
  }  % scoreセクションここまで
}  % bookセクションここまで



% シンバル
\book {  
  \bookOutputName "P_8_5_Symbals"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
    \new DrumStaff = "SymbalAndTriangle" \with { 
      drumStyleTable = #percussion-style %全ての打楽器を1つの線上に
      \override StaffSymbol #'line-count = #1  % 五線の代わりに1本の線で
      \override InstrumentName #'self-alignment-X = #RIGHT      %楽器名の右揃え 
    }
    
    <<
      \percussionfourth  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
      \context {
        \Score
        \override SpacingSpanner #'base-shortest-duration = #(ly:make-moment 1/16)
        % このオプションは楽譜を水平方向に拡大する。詳細は 4.5.3「水平方向のスペースを変更する」
        % 初期値はどうやら 1/8。
        % 1/16にすると、標準よりも横に広がる。パーカッションは詰まりやすいので、こちらの方が奇麗。
      }
    }
  }  % scoreセクションここまで
}  % bookセクションここまで





% 以下のコマンドは、音を確認するためにセクション単位で出力したいときに用いるオプション。
% 最終出力ではもちろん使わないのでコメントアウトする

% 打楽器全部

\book {  
  \bookOutputName "P_8_0_Perc_all"  % 出力されるパート譜のpdfファイルの名前をここで指定
  \score {
  \new StaffGroup ="PercAll" \with {
  }
  <<


    \new Staff = "Timpani" \with { 
    }
    <<
      \transpose c c { \timpani }  %音符の中身を保持しているオブジェクト
      \transpose c c { \grobalMarker } %グローバルマーカー
    >>
    
    
    \new Staff = "Glockenspiel" \with { 
    }
    <<
      \transpose c c,, { \percussionfirst }  %音符の中身を保持しているオブジェクト
      \transpose c c,, { \grobalMarker } %グローバルマーカー
    >>
   
    
    \new DrumStaff = "SnareDrum" \with { 
      drumStyleTable = #percussion-style %全ての打楽器を1つの線上に
      \override StaffSymbol #'line-count = #1  % 五線の代わりに1本の線で
      \override InstrumentName #'self-alignment-X = #RIGHT      %楽器名の右揃え 
    }
    <<
      \percussionsecond  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>


    \new DrumStaff = "BassDrum" \with { 
      drumStyleTable = #percussion-style %全ての打楽器を1つの線上に
      \override StaffSymbol #'line-count = #1  % 五線の代わりに1本の線で
      \override InstrumentName #'self-alignment-X = #RIGHT      %楽器名の右揃え 
    }
    <<
      \percussionthird  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>


    \new DrumStaff = "SymbalAndTriangle" \with { 
      drumStyleTable = #percussion-style %全ての打楽器を1つの線上に
      \override StaffSymbol #'line-count = #1  % 五線の代わりに1本の線で
      \override InstrumentName #'self-alignment-X = #RIGHT      %楽器名の右揃え 
    }
    
    <<
      \percussionfourth  %音符の中身を保持しているオブジェクト
      \grobalMarker
    >>

  >>  
%    \midi {}  % MIDIファイルの出力が不要な場合は、midiセクションを削除
    \layout {
      \context {
        \Score
        \override SpacingSpanner #'base-shortest-duration = #(ly:make-moment 3/32)
        % このオプションは楽譜を水平方向に拡大する。詳細は 4.5.3「水平方向のスペースを変更する」
        % 初期値はどうやら 1/8。
        % 1/16にすると、標準よりも横に広がる。パーカッションは詰まりやすいので、こちらの方が奇麗。
      }
    }
%    \layout {
%      #(layout-set-staff-size 15)
%    }
  }  % scoreセクションここまで
    \paper {
      #(set-paper-size "a3")
      system-system-spacing = #'( ( basic-distance . 20.5 ) ) % 譜表システム間の距離
    }
}  % bookセクションここまで

%{
%}


