% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
piccolo = { 
 \set Staff.instrumentName =\markup {  \italic "*Piccolo " } %パート名（正式名称）
% \set Staff.shortInstrumentName = \markup { \italic "*Picc. " }       % 短縮楽器名（2ページ目以降に入る）
 \set Staff.midiInstrument = "piccolo" %MIDI出力に使われる音色
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4


% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c''' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  \tuplet 3/2 {f16\ff\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 6/4 { f,16 bes f' bes c f} 
  |
  \tuplet 3/2 {f,16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 6/4 { f,16 bes f' bes c d} 
  |
  f,4 g4 d8 bes8 ees8 d8
  |
  c4. d16 ees16 f2
  | %5
  R1*3
  r2 r8 bes,8\f\< ees8 d8
  |
  c4. d16 ees16 f2
  | %9
  \tuplet 3/2 {f16\!\ff\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 6/4 { f,16 bes f' bes c f} 
  |
  \tuplet 3/2 {f,16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  r4
  |
  r2 r8 ees8\accent d8\accent bes8\accent
  |
  c4.\< c16 d16 ees4 \grace{d16 ees16} f4
  |
  f1\!\fff\tenuto
  |
  R1*2
  |
  r2 r8 f8\mf bes8 a8
  |
  a4 bes4 c4 f,4
  |
  a4\cresc bes4 c4 f,4
  |
  a4 bes4 c4 f,4
  |
  r8 bes8\f\! a8\( g16 a16\) r8 bes4 a8
  |
  bes1\tenuto
  |
  bes1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

  
  

  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}
