% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
flutesecond = {
 \set Staff.instrumentName =\markup { "Flute 2 " } %パート名（正式名称）
 \set Staff.midiInstrument = "flute" %MIDI楽器名
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4


% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c'' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  \tuplet 3/2 {bes16\ff\accent bes bes} bes8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato   
  \tuplet 3/2 {bes16\accent bes bes} bes8\marcato    
  \tuplet 6/4 { f16 bes f bes c f} 
  |
  \tuplet 3/2 {bes,16\accent bes bes} bes8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato   
  \tuplet 3/2 {bes16\accent bes bes} bes8\marcato    
  \tuplet 6/4 { f16 bes f bes c d} 
  |
  f4\accent g4\accent d8\staccato bes8\staccato ees8\staccato d8\staccato
  |
  c4. d16 ees16 f2
  
  | %5
  r2 r8 a,8\mf bes8 c8 \grace {d16}
  |
  bes8. a16 bes8. c16 d8 ees8 d8 c8
  |
  c4 bes4. bes8\cresc ees8 f8
  | 
  f8\accent c16\( d16 f4\) r8 d8\f\< ees8 f8
  |
  g4. d16 ees16 f2
  
  | %10
  \tuplet 3/2 {c16\!\ff\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato    
  \tuplet 6/4 { f16 bes f bes c f} 
  |
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato bes8 c8
  |
  d4\marcato ees4\marcato r8 ees8\accent d8\accent bes8\accent
  |
  f'4.\< f16 a16 bes4 a
  |
  bes1\!\fff\tenuto
  |
  r2 r8 bes,8\mf\( ees8 f8
  |
  f4.\) d8 d2
  |
  r2 r8 f8 bes8 a8
  | % 18
  a4 bes4 c4 f,4
  |
  a4\cresc bes4 c4 f,4
  |
  a4 bes4 c4 f,4
  |
  r8 f8\f\! ees8\( d16 ees16\) r8 f4 f8
  |
  d1\tenuto
  |
  d1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}
