% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
clarinetfirst = {
 \set Staff.instrumentName =\markup { "B" \magnify #0.7 \flat " Clarinet 1 "} %パート名（正式名称）
 \set Staff.midiInstrument = "clarinet"
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4
 

% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c'' {


  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  \tuplet 3/2 {f16\ff\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 6/4 { f,16 bes f' bes c, f} 
  |
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 6/4 { f,16 bes f' bes c, d} 
  |
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {g16\accent g g}  g8\marcato   
  \tuplet 3/2 {d16\accent d d}  d8\marcato    
  ees8\staccato d8\staccato
  |
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {ees16\accent ees ees}  ees8\marcato   
  \tuplet 3/2 {d16\accent d d}  d8\marcato    
  | %5
  r8 bes4\mf c16 d16 c4. c16 d16
  |
  ees8. c16 d4 r8 ees8 d8 c8
  |
  c8. bes16 d4. d8\cresc ees8 f8
  | 
  f4 ees4 d8 f8\f\< bes8 a8
  |
  g4. d16 ees16 f4 f4
  |
  | %10
  \tuplet 3/2 {f16\!\ff\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 6/4 { f,16 bes f' bes c, f} 
  |
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato g8 a8
  |
  bes4\marcato bes4\marcato r8 ees8\accent d8\accent bes8\accent
  |
  c4.\< f,16 a16 bes4 a4
  |
  ees1\!\fff\tenuto
  |
  r2 r8 d8\mf\( ees8 f8
  |
  f4.\) f8 f2
  |
  r4. bes,8\mp bes8 f'8 bes a8
  |
  a4 bes4 c4 f,4
  | %18
  a4\cresc bes4 c4 f,4
  |
  a4 bes4 c4 f,4
  |
  r8 f8\f\! ees8\( d16 ees16\) r8 f4 f8
  |
  f1\tenuto
  |
  f1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

    
  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}


