% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
clarinetsecond = {
 \set Staff.instrumentName =\markup { "B" \magnify #0.7 \flat " Clarinet 2 " } %パート名（正式名称）
 \set Staff.midiInstrument = "clarinet"
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4
 

% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c'' {


  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  \tuplet 3/2 {c16\ff\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato    
  \tuplet 6/4 { f16 bes f' bes c, f} 
  |
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato    
  \tuplet 6/4 { f16 bes f' bes c, d} 
  |
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato   
  g8\staccato a8\staccato
  |
  \tuplet 3/2 {a16\accent a a}  a8\marcato   
  \tuplet 3/2 {a16\accent a a}  a8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato   
  \tuplet 3/2 {a16\accent a a}  a8\marcato   
  | %5
  g2\mp a4. a16\mf bes16
  |
  c8. a16 bes4 r8 bes8 a8 g8
  |
  g8. f16 bes4. bes8\cresc bes8 c8
  | 
  bes4 bes4 a8 d8\f\< ees8 d8
  |
  ees4. d16 ees16 ees4 c4
  |
  | %10
  \tuplet 3/2 {d16\!\ff\accent d d}  d8\marcato   
  \tuplet 3/2 {d16\accent d d}  d8\marcato   
  \tuplet 3/2 {d16\accent d d}  d8\marcato   
  \tuplet 6/4 { f,16 bes f' bes c, f} 
  |
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {d16\accent d d}  ees8\marcato d8 ees8
  |
  f4\marcato ees4\marcato r8 ees8\accent d8\accent f8\accent
  |
  f4.\< c16 d16 ees4 d4
  |
  bes1\!\fff\tenuto
  |
  r2 r8 bes8\mf\( bes8 c8
  |
  c4.\) d8 d2
  |
  r4. f,8\mp f8 f8 bes8 a8
  |
  a4 bes4 c4 f,4
  | %18
  r8 g4\cresc g16 a16 r8 a4 bes8
  |
  r8 bes4 bes16 c16 r8 bes4 a8
  |
  r8 f'8\f\! ees8\( d16 ees16\) r8 d4 c8
  |
  d1\tenuto
  |
  d1\tenuto-\markup { \italic { sotto voce } }
  |
  R1


  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}



