% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
clarinetthird = {
 \set Staff.instrumentName =\markup { "B" \magnify #0.7 \flat " Clarinet 3 " } %パート名（正式名称）
 \set Staff.midiInstrument = "clarinet"
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4
 
% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  \tuplet 3/2 {f16\ff\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 6/4 { f,16 bes f' bes c, f} 
  |
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 6/4 { f,16 bes f' bes c, d} 
  |
  \tuplet 3/2 {d16\accent d d}  d8\marcato   
  \tuplet 3/2 {ees16\accent ees ees}  ees8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  ees8\staccato d8\staccato
  |
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  d8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  | %5
  f2\mp f4. ees16\mf f16
  |
  g8. f16 f4 r8 g8 f8 ees8
  |
  ees8. d16 f4. f8\cresc g8 f8
  | 
  f4 ees4 f8 bes8\f\< bes8 d8
  |
  c4. bes16 a16 bes4 a4
  |
  | %10
  \tuplet 3/2 {c16\!\ff\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato    
  \tuplet 6/4 { f,16 bes f' bes c, f} 
  |
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  c8\marcato bes8 c8
  |
  d4\marcato bes4\marcato r8 bes8\accent bes8\accent bes8\accent
  |
  a4.\< f16 a16 bes4 a4
  |
  f1\!\fff\tenuto
  |
  r2 r8 f8\mf\( g8 a8
  |
  a4.\) bes8 bes2
  |
  r4. d,8\mp d8 bes8 ees d8
  |
  d4 d4 d4 d4
  | %18
  r8 ees4\cresc ees16 f16 r8 f4 f8
  |
  r8 ees4 d16 ees16 r8 f4 a8
  |
  r8 bes8\f\! a8\( g16 a16\) r8 bes4 a8
  |
  bes1\tenuto
  |
  bes1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}

