% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
saxaltofirst = {
 \set Staff.instrumentName =\markup { "E" \magnify #0.7 \flat " Alto Saxophone 1 " } %パート名（正式名称）
 \set Staff.midiInstrument = "alto sax"
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4
 

% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c'' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  \tuplet 3/2 {c16\ff\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato    
  \tuplet 6/4 { f16 bes f bes c f} 
  |
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato    
  \tuplet 6/4 { f16 bes f bes c d} 
  |
  bes4\accent g4\accent f8\staccato bes8\staccato ees8\staccato d8\staccato
  |
  c4. d16 ees16 ees4 d4    
  | %5
  R1*2
  |
  g,8.\mf f16 f4. bes8\cresc bes8 a8
  | 
  bes8 c16 d16 ees4 r8 bes8\f\< ees8 d8
  |
  c4. bes16 a16 bes4 a4
  |
  | %10
  \tuplet 3/2 {c16\!\ff\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato    
  \tuplet 6/4 { f16 bes f bes c f} 
  |
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {bes16\accent[ r bes]}  bes8[\( bes8 c8\)]
  |
  d4\marcato bes4\marcato r8 ees8\accent d8\accent bes8\accent
  |
  c4.\< c16 d16 ees4 d4\!
  |
  r8 bes8\ff ees8 d8 c4 a8 a16\(\> bes16\)
  |
  bes4 a8. g16 f8\! f8\mf\( g8 f8
  |
  f4.\) f8 f2
  |
  R1
  |
  f4.\mp f16 f16 f2
  | %18
  r8 g4\cresc g16 a16 r8 a4 bes8
  |
  r8 g4 g16 a16 r8 bes4 a8
  |
  r8 bes8\f\! a8\( g16 a16\) r8 bes4 a8
  |
  bes1\tenuto
  |
  bes1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}


