% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
saxaltosecond = {
 \set Staff.instrumentName =\markup { "E" \magnify #0.7 \flat " Alto Saxophone 2 " } %パート名（正式名称）
 \set Staff.midiInstrument = "alto sax"
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4
 

% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  \tuplet 3/2 {f16\ff\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 6/4 { f16 bes f bes c f} 
  |
  \tuplet 3/2 {f,16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 6/4 { f16 bes f bes, c d} 
  |
  f4\accent ees4\accent d8\staccato f8\staccato g8\staccato a8\staccato
  |
  a4. a16 bes16 bes4 a4    
  | %5
  R1*2
  |
  ees8.\mf d16 d4. f8\cresc g8 f8
  | 
  f8 g16 a16 bes4 r8 f8\f\< bes8 a8
  |
  g4. d16 ees16 f4 f4
  |
  | %10
  \tuplet 3/2 {f16\!\ff\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 6/4 { f16 bes f bes c f} 
  |
  \tuplet 3/2 {f,16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent[ r f]}  f8[\( g8 a8\)]
  |
  bes4\marcato g4\marcato r8 bes8\accent a8\accent f8\accent
  |
  a4.\< f16 a16 bes4 a4\!
  |
  r8 g8\ff bes8 a8 a4 f8 ees16\(\> f16\)
  |
  g4 f8. ees16 d8\! d8\mf\( ees8 d8
  |
  c4.\) d8 d2
  |
  R1
  |
  d4.\mp d16 d16 d2
  | %18
  r8 ees4\cresc ees16 f16 r8 f4 f8
  |
  r8 ees4 d16 ees16 r8 f4 f8
  |
  r8 f8\f\! ees8\( d16 ees16\) r8 f4 f8
  |
  f1\tenuto
  |
  f1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}
