% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
saxtenor = {
 \set Staff.instrumentName =\markup { "B" \magnify #0.7 \flat " Tenor Saxophone " } %パート名（正式名称）
 \set Staff.midiInstrument = "tenor sax"
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4
 
% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  c4.\ff\accent f,16\staccato f16\staccato bes4. f8
  |
  c'4.\accent f,16\staccato bes16\staccato d4 f,16\( bes16 c16 d16\)
  |
  d4\accent bes\accent bes8\staccato d8\staccato ees8\staccato d8\staccato
  |
  c4. d16 ees16 ees4 d4
  | %5
  r8 bes8\mp\( ees8 d8 c4\) r4
  |
  R1
  |
  r2 r8 f,8\mf\cresc bes8 a8
  | 
  f8\staccato g16 a16 bes8\staccato c16 d16 a8 f8\f\< bes8 a8
  |
  g4 f8\staccato f16 a16 bes8 a16 g16 f16 bes16 c8
  |
  | %10
  c4.\ff\accent bes16\staccato bes16\staccato bes4. f8
  |
  c'4.\accent d16\staccato ees16\staccato  f8 ees8\( d8 c8\)
  |
  bes4\marcato bes4\marcato r8 ees8\accent d8\accent f8\accent
  |
  f4.\< c16 d16 ees4 d4\!
  |
  r8 bes8\ff ees8 d8 c8 a8 f8 a16\(\> bes16\)
  |
  bes4 a4 r8 bes8\mf\( bes8 a8
  |
  a4.\) f8 f2
  |
  R1
  |
  bes4.\mp bes16 bes16 bes2
  | %18
  r8 g4\cresc g16 a16 bes8 f8 a8 f8
  |
  r8 g4 g16 a16 bes8 f8 a8 f8
  |
  g8\f\! c,8 d8 ees8 f2
  |
  bes1\tenuto
  |
  bes1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}
