% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
trumpetfirst = {
 \set Staff.instrumentName =\markup { "B" \magnify #0.7 \flat " Trumpet 1 " } %パート名（正式名称）
 \set Staff.midiInstrument = "trumpet"
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4
 
% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c'' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  f4.\ff\accent f16\staccato f16\staccato f2
  |
  f4.\accent f16\staccato f16\staccato f2
  |
  R1
  |
  f4.\< f16 d16 ees4 d4\!
  | %5
  R1*2
  |
  r2 r8 bes8\mf\cresc bes8 c8
  | 
  d8\staccato c16 d16 ees4 r8 d8\f\< ees8 f8
  |
  g4. g8\staccato f4 f4
  |
  | %10
  \tuplet 3/2 {f16\!\ff\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  r4 
  |
  \tuplet 3/2 {f16\accent f f}  f8\marcato   
  \tuplet 3/2 {f16\accent f f}  f8\marcato    
  \tuplet 3/2 {f16\accent[ r f]}  ees8[\( d8 ees8\)]
  |
  \tuplet 6/4 {d16\accent[ r d] d16\accent c d}
  \tuplet 6/4 {ees16\accent[ r ees] ees16\accent d ees}
  f8 r4.
  |
  f4.\< f16 d16 ees4 d4\!
  |
  r8 bes8\ff\( ees8 d8 c2\)
  |
  R1
  |
  r2 r8 bes8\mp\> bes8 a8
  |
  a4. bes8 bes2
  |
  c4.\!\p c16 c16 c2
  | %19
  r8 c4\cresc c16 a16 r8 a4 bes8
  |
  r8 bes4 bes16 a16 r8 bes4 a8
  |
  r8 bes8\staccato\f\! a8\( g16 a16\) r8 bes4 a8
  |
  bes1\tenuto
  |
  bes1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}



