% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
trumpetsecond = {
 \set Staff.instrumentName =\markup { "B" \magnify #0.7 \flat " Trumpet 2 " } %パート名（正式名称）
 \set Staff.midiInstrument = "trumpet"
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4
 
% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c'' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  d4.\ff\accent d16\staccato d16\staccato d2
  |
  d4.\accent d16\staccato d16\staccato d2
  |
  R1
  |
  c4.\< c16 a16 bes4 a4\!
  | %5
  R1*2
  |
  r2 r8 f8\mf\cresc g8 a8
  | 
  bes8\staccato g16 a16 bes4 r8 bes8\f\< bes8 a8
  |
  ees'4. d16 ees16 ees4 c4
  |
  | %10
  \tuplet 3/2 {d16\!\ff\accent d d}  d8\marcato   
  \tuplet 3/2 {d16\accent d d}  d8\marcato   
  \tuplet 3/2 {d16\accent d d}  d8\marcato    
  r4 
  |
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato    
  \tuplet 3/2 {d16\accent[ r d]}  c8[\( bes8 c8\)]
  |
  \tuplet 6/4 {bes16\accent[ r bes] bes16\accent f bes}
  \tuplet 6/4 {bes16\accent[ r bes] bes16\accent f bes}
  bes8 r4.
  |
  c4.\< c16 a16 bes4 a4\!
  |
  r8 g8\ff\( bes8 a8 a2\)
  |
  R1
  |
  r2 r8 f8\mp\> g8 f8
  |
  f4. f8 f2
  |
  f4.\!\p f16 f16 f2
  | %19
  r8 g4\cresc g16 f16 r8 f4 f8
  |
  r8 g4 g16 f16 r8 f4 f8
  |
  r8 f8\staccato\f\! ees8\( d16 ees16\) r8 f4 f8
  |
  f1\tenuto
  |
  f1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}



