% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
trumpetthird = {
 \set Staff.instrumentName =\markup { "B" \magnify #0.7 \flat " Trumpet 3 " } %パート名（正式名称）
 \set Staff.midiInstrument = "trumpet"
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4
 
% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c'' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  c4.\ff\accent c16\staccato c16\staccato c2
  |
  c4.\accent c16\staccato c16\staccato c2
  |
  R1
  |
  a4.\< a16 f16 f4 f4\!
  | %5
  R1*2
  |
  r2 r8 d8\mf\cresc ees8 f8
  | 
  f8\staccato ees16 f16 g4 r8 f8\f\< f8 a8
  |
  c4. bes16 a16 bes4 a4
  | %10
  \tuplet 3/2 {c16\!\ff\accent c c}  c8\marcato   
  \tuplet 3/2 {c16\accent c c}  c8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato    
  r4 
  |
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato   
  \tuplet 3/2 {bes16\accent bes bes}  bes8\marcato   
  \tuplet 3/2 {bes16\accent[ r bes]}  bes8[\( g8 a8\)]
  |
  f8\marcato r8 g8\marcato r8 r2
  |
  a4.\< a16 f16 f4 f4\!
  |
  r8 ees8\ff\( g8 f8 f2\)
  |
  R1
  |
  r2 r8 d8\mp\> ees8 d8
  |
  c4. d8 d2
  |
  d4.\!\p d16 d16 d2
  | %18
  r8 ees4\cresc ees16 d16 r8 d4 ees8
  |
  r8 ees4 d16 ees16 r8 c4 d8
  |
  r8 d8\staccato\f\! c8\( bes16 c16\) r8 d4 c8
  |
  d1\tenuto
  |
  d1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}


