% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"


% Hornのパートのみ、1と2を重ねて表示。

% 複数のパートを1つの譜表に置く方法は幾つか存在する。
% 1つの方法は、全て単音のボイスに分割して入力する。この場合、Staffを定義する段階で結合する。
% これを実現するには例えば、記譜法リファレンス1.5.2「複数のボイス」にあるような「2重バックスラッシュ構造」を用いて結合する。この場合は符尾がパート毎に独立して描かれる。声部が全く異なるリズムで進行している曲の場合、この方法が確実である。
% また、<< >>で単純に合成してしまう方法もある。この場合は同じリズムで進行している音符のみ、符尾が合成される。

% 別のアプローチとして、1つのボイスが常に2和音で進行しているものとみなして入力する方法がある。
% マーチのホルンパートは、一般に全奏者が等しいリズムを刻むことが多い。リズムが完全に一致する場合、1ボイスで入力した方が管理しやすい。というのも、アーティキュレーションの入力が一度で済むためである。

% 本データでは、1ボイスでホルン1,2をまとめて打込む。課題曲の楽譜をはじめ、通常の吹奏楽曲ではこちらの方式が一般的であるようだ。


hornfirstsecond = {
  \set Staff.instrumentName =\markup { "F Horns 1 & 2 " } %パート名（正式名称）
  \set Staff.midiInstrument = "french horn"
  \clef treble
  
 \key bes \major
 \time 4/4
 
% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  <d bes'>4.\ff\accent <d bes'>16\staccato <d bes'>16\staccato <d bes'>2
  |
  <d bes'>4.\accent <d bes'>16\staccato <d bes'>16\staccato <d bes'>2
  |
  <bes f'>4\accent <g ees'>4\accent <f d'>8\staccato <bes f'>8\staccato <ees bes'>8\staccato <d a'>8\staccato
  |
  <c a'>4.\< <d a'>16 <ees bes'>16 <ees bes'>4 <d a'>4\!
  | %5
  r2 r8 c8\mf^\markup{Solo I} d8 ees16 f16
  |
  <bes, f'>8.\mf <a f'>16 <bes f'>4. <bes g'>8 <a f'>8 <g ees'>8
  |
  <g ees'>8. <bes f'>16 <bes f'>4. <bes f'>8\cresc <bes ees>8 <a f'>8
  |
  <bes f'>4 <c g'>4 <d a'>8 <bes f'>8\f\< <ees bes>8 <d a'>8 
  |
  <c g'>4 <bes f'>8 <bes f'>16 <c a'>16 <ees bes'>4\portato <c a'>4\portato
  |
  | %10
  <c f>4.\ff\accent <c f>16\staccato <c f>16\staccato <bes f'>2
  |
  <bes f'>4.\accent <bes f'>16\staccato <bes f'>16\staccato <bes f'>8 <a f'>8 <bes g'>8 <c a'>8
  |
  <d bes'>4\marcato <ees bes'>4\marcato r8 <ees bes'>8\accent <d bes'>8\accent <d bes'>8\accent
  |
  <c a'>4.\< <c a'>16 <d a'>16 <ees bes'>4 <d a'>4\!
  |
  r8 <bes f'>8\ff\( <bes g'>8 <a g'>8 <a g'>8\) <a g'>8\( <c a'>8 <c a'>16 <d bes'>16\)
  |
  <ees bes'>4\> <d a'>8. <c g'>16 <bes f'>8 <bes f'>8\!\mp\( <bes g'>8 <a f'>8
  |
  <a f'>4.\) <bes f'>8 <bes f'>2\!
  |
  R1
  |
  <f d'>4.\!\p <f d'>16 <f d'>16 <f d'>2
  | %19
  <ees c'>2\mf\cresc <f c'>4 <f d'>4
  |
  <g ees'>2 <bes f'>4 <a f'>4
  |
  <bes g'>2\!\f <bes f'>4 <a f'>4
  |
  <bes f'>1\tenuto
  |
  <bes f'>1\tenuto-\markup { \italic { sotto voce } }
  |
  R1


  }
%ここまでがパートのインスタンスの定義部分
}
