% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
hornthird = {
 \set Staff.instrumentName =\markup { "F Horn 3 " } %パート名（正式名称）
 \set Staff.midiInstrument = "french horn"
 \clef treble
 \key bes \major
 \time 4/4
 
% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  f4.\ff\accent f16\staccato f16\staccato f2
  |
  f4.\accent f16\staccato f16\staccato f2
  |
  d4\accent bes4\accent bes8\staccato d8\staccato ees8\staccato d8\staccato
  |
  f4.\< f16 f16 f4 f4\!
  | %5
  R1
  |
  d8.\mf c16 d4. ees8 d8 c8
  |
  c8. d16 d4. d8\cresc c8 d8
  |
  d4 ees4 f8 d8\f\< f8 f8 
  |
  ees4 d8 d16 ees16 f4\portato f4\portato
  |
  | %10
  d4.\ff\accent d16\staccato d16\staccato d2
  |
  c4.\accent d16\staccato ees16\staccato d8 ees8 d8 ees8
  |
  f4\marcato g4\marcato r8 f8\accent g8\accent f8\accent
  |
  f4.\< f16 f16 f4 f4\!
  |
  r8 ees8\ff\( ees8 d8 c8\) c8\( f8 ees16 f16\)
  |
  g4\> f8. ees16 d8 d8\!\mp\( ees8 d8
  |
  c4.\) d8 d2\!
  |
  R1
  |
  c4.\!\p c16 c16 c2
  | %19
  r8 c4\cresc c16 a16 r8 a4 bes8
  |
  r8 bes4 bes16 a16 r8 bes4 a8
  |
  r8 bes8\staccato\f\! a8\( g16 a16\) r8 bes4 a8
  |
  bes1\tenuto
  |
  bes1\tenuto-\markup { \italic { sotto voce } }
  |
  R1



  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}



