% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
trombonefirst = {
 \set Staff.instrumentName =\markup { "Trombone 1 " } %パート名（正式名称）
 \set Staff.midiInstrument = "trombone"
 \clef bass
 %調を指定
 \key bes \major
 \time 4/4
 
% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  d4.\ff\accent d16\staccato d16\staccato d2
  |
  d4.\accent d16\staccato d16\staccato d2
  |
  f4\accent ees4\accent d8\staccato d8\staccato ees8\staccato d8\staccato
  |
  c4.\< d16 ees16 ees4 d4\!
  | %5
  bes2\mf c2
  |
  c8. c16 d4. r8 r4
  |
  ees8. d16 d4. d8\cresc ees8 f8
  |
  f4 ees4 f8 d8\f\< ees8 d8 
  |
  ees4\staccato d8\staccato d8\staccato c4\portato c4\portato
  |
  | %10
  d4.\ff\accent d16\staccato d16\staccato d2
  |
  c4.\accent d16\staccato ees16\staccato d8\staccato ees8 d8 ees8
  |
  f4\marcato ees4\marcato r8 ees8\accent d8\accent d8\accent
  |
  c4.\< c16 d16 ees4 d4\!
  |
  ees8\ff ees8 ees8 d8 c4. ees16 f16
  |
  ees4\> d8. c16 d8\! r8 r4
  |
  r2 r8 d8\mf ees8 d8
  |
  c8. c16 c8\staccato d16 d16 d2
  | %18
  R1
  |
  c2\mf\cresc bes4 a4
  |
  bes2 c4 d4
  |
  ees2\!\f c4 c4
  |
  d1\tenuto
  |
  d1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}


