% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
trombonesecond = {
 \set Staff.instrumentName =\markup { "Trombone 2 " } %パート名（正式名称）
 \set Staff.midiInstrument = "trombone"
 \clef bass
 %調を指定
 \key bes \major
 \time 4/4
 
% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c' {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  c4.\ff\accent c16\staccato c16\staccato bes2
  |
  c4.\accent c16\staccato c16\staccato bes2
  |
  d4\accent bes4\accent bes8\staccato bes8\staccato bes8\staccato a8\staccato
  |
  a4.\< a16 bes16 bes4 a4\!
  | %5
  g2\mf a2
  |
  bes8. a16 bes4. r8 r4
  |
  c8. bes16 bes4. bes8\cresc c8 d8
  |
  d4 c4 d8 bes8\f\< bes8 a8 
  |
  c4\staccato bes8\staccato bes8\staccato bes4\portato a4\portato
  |
  | %10
  c4.\ff\accent bes16\staccato bes16\staccato bes2
  |
  bes4.\accent bes16\staccato bes16\staccato bes8\staccato a8 bes8 c8
  |
  c4\marcato bes4\marcato bes8\staccato bes8\accent bes8\accent bes8\accent
  |
  a4.\< a16 a16 bes4 a4\!
  |
  bes8\ff bes8 bes8 a8 a4. a16 bes16
  |
  bes4\> a8. a16 bes8\! r8 r4
  |
  r2 r8 bes8\mf bes8 a8
  |
  a8. a16 a8\staccato bes16 bes16 bes2
  | %18
  R1
  |
  g2\mf\cresc f4 f4
  |
  g2 bes4 a4
  |
  bes2\!\f bes4 a4
  |
  bes1\tenuto
  |
  bes1\tenuto-\markup { \italic { sotto voce } }
  |
  R1

  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}


