% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
trombonethird = {
 \set Staff.instrumentName =\markup { "Trombone 3 " } %パート名（正式名称）
 \set Staff.midiInstrument = "trombone"
 \clef bass
 %調を指定
 \key bes \major
 \time 4/4
 
% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c {

  \compressFullBarRests %小節単位の休みは R として打つ。
  \partial 8 r8
  |
  f4.\ff\accent f16\staccato f16\staccato f2
  |
  f4.\accent f16\staccato f16\staccato f2
  |
  bes4\accent g4\accent f8\staccato f8\staccato g8\staccato f8\staccato
  |
  f4.\< f16 f16 f4 f4\!
  | %5
  ees2\mf f2
  |
  g8. f16 f4. r8 r4
  |
  g8. f16 f4. f8\cresc bes8 a8
  |
  bes4 bes4 a8 f8\f\< f8 f8 
  |
  g4\staccato f8\staccato f8\staccato f4\portato f4\portato
  |
  | %10
  f4.\ff\accent f16\staccato f16\staccato f2
  |
  f4.\accent f16\staccato f16\staccato f8\staccato f8 f8 f8
  |
  bes4\marcato g4\marcato f8 f8\accent g8\accent f8\accent
  |
  f4.\< f16 f16 f4 f4\!
  |
  g8\ff f8 g8 f8 f4. f16 f16
  |
  g4\> f8. f16 f8\! r8 r4
  |
  r2 r8 f8\mf g8 f8
  |
  f8. f16 f8\staccato f16 f16 f2
  | %18
  R1
  |
  ees2\mf\cresc c4 d4
  |
  c2 f4 f4
  |
  g2\!\f f4 f4
  |
  f1\tenuto
  |
  f1\tenuto-\markup { \italic { sotto voce } }
  |
  R1
  
  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}


