% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意
stringbass = {
 \set Staff.instrumentName =\markup { \italic "*String Bass " } %パート名（正式名称）
 \set Staff.midiInstrument = "contrabass"
 \clef bass
 %調を指定
 \key bes \major
 \time 4/4
 

% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c, {
  \compressFullBarRests %小節単位の休みは R として打つ。

  \partial 8 r8
  |
  bes4.\ff bes8 bes4. f'8
  |
  bes,4. bes8 bes4 f'16\( bes, c d\)
  |
  d4\accent ees4\accent f8\staccato bes8\staccato ees8\staccato d8\staccato
  |
  c4 r16 bes16 a16 bes16 g4 f4
  
  | %5
  ees2\mp f2
  |
  bes4 f4. c8\mf d8 ees8
  |
  ees4 d4. f8\cresc bes8 a8
  |
  bes4 bes4 a8\< f8 bes8 a8 
  |
  g4 f8 bes8 c4\portato f,4\portato
  |
  | %10
  bes,4.\!\ff bes8 bes4. f'8
  |
  bes,4. bes8 bes8 f'8 bes,8 c8
  | 
  d4\marcato ees4\marcato f8 ees8\staccato d8\staccato f8\staccato
  |
  f4\< r16 bes16 a16 bes16 g4 a4
  |
  ees2\!\fff f2\>
  |
  g4 f4. f8\!\sp\( ees8 f8
  |
  f4.\) bes8 bes4 f4
  |
  f4. bes8 bes4 f4
  | %18
  bes4.\mf bes8 bes4 f4
  |
  ees2\cresc f4 d4
  |
  c2 f4 d4
  |
  c2\!\f f2
  |
  bes1\tenuto
  |
  bes1\tenuto-\markup { \italic { sotto voce } }
  |
  R1
  
  %ここまでオタマジャクシの実体を記述
}

%ここまでがパートのインスタンスの定義部分
}

