% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意


timpani = {
 \set Staff.instrumentName = \markup { % パート名（正式名称）
                               \right-column { 
                                 \line { "Timpani " } 
                                 \line \magnify #0.75 { { F, B\magnify #0.5 {\flat} } }
                               }
                             }
 \set Staff.midiInstrument = "timpani"
 \clef bass
 %調を指定
 \key bes \major
 \time 4/4
 

% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。

  \relative c, {

  \compressFullBarRests %小節単位の休みは R として打つ。

  % :32は、その音符を32部音符刻みのトレモロ（ロール）にするという意味
  % なお、打楽器が4人の場合はティンパニの一部音符をオプションに。演奏しない音符を括弧書きに
  
  \partial 8 \tuplet 3/2 {f16\ff f16 f16}
  |
  bes4. bes8 bes4.:32\accent f8
  |
  bes4. bes8 bes4 r4
  |
  bes4 bes4 bes8 r4 f8
  |
  f4 r4 r2
  |
  R1*4
  |
  r2. r8 \tuplet 3/2 {f16\ff f16 f16}
  | %10
  bes4. bes8 bes4.:32\accent f8
  |
  bes4.:32\accent bes8 bes4\accent r4
  |
  bes4\staccato bes4\staccato bes8\staccato r4 f8 
  |
  f4. r8 r2
  |
  R1*2
  |
  f4.\mp bes8 bes2:32\accent
  |
  r2 r8 f8\p bes8 bes8 
  |
  f4. bes8 bes2:32\accent  
  |
  R1*3
  |
  bes1\f
  |
  bes1-\markup { \italic { sotto voce } }
  |
  R1
  
  %ここまでオタマジャクシの実体を記述
  }

%ここまでがパートのインスタンスの定義部分
}
