% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

% この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意

% なお打楽器の編成は固定していないため、マーチを想定して便宜的に以下とする
% Timpani ティンパニ
% Percussion1 グロッケン（ト音譜表）
% Percussion2 スネアドラム（リズム）
% Percussion3 バスドラム（リズム）
% Percussion4 クラッシュシンバル（リズム）


percussionfirst = {
 \set Staff.instrumentName = \markup { % パート名（正式名称）
                               \right-column { 
                                 \line { "Percussion 1 " } 
                               }
                             }
 \set Staff.midiInstrument = "glockenspiel"
 \clef treble
 %調を指定
 \key bes \major
 \time 4/4


% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。
\relative c''' {
% グロッケンのパート

  \compressFullBarRests %小節単位の休みは R として打つ。

%  \once \textLengthOn
  
  \partial 8 r8
  | 
  r2. \tuplet 6/4 { f16^\markup { "Glockenspiel"} bes, f' bes c f} 
  | 
  r2. \tuplet 6/4 { f,16 bes, f' bes c d} 
  |
  \ottava #0
  f4 g4 d8 bes8 ees8 d8
  |
  c4. d16 ees16 f4. \tuplet 3/2 { bes,16\> d f} 
  | %5
  bes4\!\p \ottava #0 r4 r2
  |
  r2 r8 bes,8\mp a8 g8
  |
  a4 bes4 c8 f,8\mf\cresc bes8 c8
  |
  f4 ees4 c4 bes4
  |
  c4.\< d16 ees16 f2
  | %9
  bes4\!\ff f4 bes,4
  \tuplet 6/4 { f16 bes f bes c f} 
  |
  bes4 f4 d8 f8 g8 a8
  |
  \tuplet 6/4 {d16\accent[ r d,] d16\accent c d}
  \tuplet 6/4 {ees16\accent[ r ees] ees16\accent d ees}
  f8 ees8\f d8 bes8
  |
  c4. c16 d16 ees4 \tuplet 6/4 { f,16\< bes a bes d f} 
  |
  bes1\!\fff
  |
  R1*2
  |
  r2 r8 f8\mf bes8 a8
  | %18
  a4 bes4 c4 f,4
  |
  R1
  |
  f4\mp r4 r2
  |
  r8 bes8\f a8\( g16 a16\) r8 bes4 a8
  |
  bes1\tenuto
  |
  bes1\tenuto-\markup { \italic { sotto voce } }
  |
  R1  

  %ここまでオタマジャクシの実体を記述
  }
%ここまでがパートのインスタンスの定義部分
}



