% パート譜の基本情報を定義

% 最初に必ずLilyPondバージョンを指定
\version "2.18.0"

%この次の行からパートを定義する
% LilyPondの事情で変数名に数字を使えない（ファイル名には使える）ことに注意

%なお打楽器の編成は固定していないため、マーチを想定して便宜的に以下とする
%Timpani ティンパニ
%Percussion1 グロッケン（ト音譜表）
%Percussion2 スネアドラム（リズム）
%Percussion3 バスドラム（リズム）
%Percussion4 クラッシュシンバル（リズム）

% 多くの打楽器は音高を定義できない

percussionfourth = \drummode {
 \set Staff.instrumentName =\markup { 
   \right-column {
     \line { "Percussion 4 " }
   }
 } %パート名（正式名称）
 \set Staff.midiInstrument = "orchestra kit"

% クラッシュシンバル

 %調を指定
 \time 4/4
 
  \compressFullBarRests %小節単位の休みは R として打つ。

  \partial 8 r8
  |
  R1
  cymc1\ff^\markup { "Crash Cymbals"}
  cymc1
  R1*4
  cymc4\mf cymc4 cymc4 cymc8\< cymc8
  cymc1\!
  | %10
  cymc1\ff
  cymc1
  cymc2 cymc2\staccato-\markup { "Choke"}
  R1
  cymc1\fff
  R1
  r2 cymc2\p
  R1
  | %18
  r2 cymc2\mp\cresc
  r2 cymc2
  r2 cymc4 cymc4
  cymc2\!\f cymc4 cymc4
  cymc1
  R1
  R1


% 以下にオタマジャクシの中身を記述
% このテンプレートでは、移調楽器についても実音で記載するようにした。最終産物のスコア上およびパート譜上では自動的に移調される。
% なお楽譜の中身が、冒頭で定義したインスタンスの内部を超えないように。最後のかっこを消すと構文が崩れる
% 見にくいからといってscoreセクションより後ろに書くと参照されないので注意。

  %ここまでオタマジャクシの実体を記述

%ここまでがパートのインスタンスの定義部分
}

